# $Revision: 1.16 $, $Date: 2004/06/13 21:51:07 $
#
# Conditional build:
%bcond_with	tests	# perform "make test"
%bcond_with	MQ	# build MQ subpackage (require commercial software to use)
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	SOAP
%define	pnam	Lite
Summary:	SOAP::Lite - Client and server side SOAP implementation
Summary(pl):	SOAP::Lite - implementacja SOAP po stronie klienta i serwera
Name:		perl-SOAP-Lite
Version:	0.60a
%define		real_version	%(echo %{version} | sed 's/[a-zA-Z]//')
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	aed9f8e9c4cf180d15c6e15aedc484d7
URL:		http://www.soaplite.com/
%if %{with tests}
# this list is probably incomplete
BuildRequires:	apache-mod_perl
BuildRequires:	perl-Compress-Zlib
BuildRequires:	perl-Crypt-SSLeay
BuildRequires:	perl-FCGI
BuildRequires:	perl-IO-Socket-SSL
BuildRequires:	perl-libnet
BuildRequires:	perl-libwww
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-MIME-Lite
BuildRequires:	perl-MIME-tools
BuildRequires:	perl-Net-Jabber
BuildRequires:	perl-URI
%endif
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SOAP::Lite is a collection of Perl modules which provides a simple and
lightweight interface to the Simple Object Access Protocol (SOAP) both
on client and server side.

%description -l pl
SOAP::Lite to zestaw moduw Perla udostpniajcych prosty i lekki
interfejs do protokou SOAP (Simple Object Access Protocol) zarwno
po stronie klienta, jak i serwera.

%package JABBER
Summary:	Net::Jabber support for SOAP::Lite
Summary(pl):	Obsuga Net::Jabber dla SOAP::Lite
Group:		Development/Languages/Perl

%description JABBER
JABBER transport support for SOAP::Lite (SOAP::Transport::JABBER).

%description JABBER -l pl
Obsuga transportu JABBER dla SOAP::Lite (SOAP::Transport::JABBER).

%package MQ
Summary:	MQ transport support for SOAP::Lite (SOAP::Transport::MQ)
Summary(pl):	Obsuga transportu MQ dla SOAP::Lite (SOAP::Transport::MQ)
Group:		Development/Languages/Perl

%description MQ
MQ transport support for SOAP::Lite (SOAP::Transport::MQ).

%description MQ -l pl
Obsuga transportu MQ dla SOAP::Lite (SOAP::Transport::MQ).

%package examples
Summary:	SOAP::Lite - examples
Summary(pl):	Przykady uycia SOAP::Lite
Group:		Development/Languages/Perl

%description examples
Examples for SOAP::Lite.

%description examples -l pl
Przykady uycia SOAP::Lite.

%prep
%setup -q -n %{pdir}-%{pnam}-%{real_version}
%{__chmod} u+rw . -R

%build
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"SOAP::Lite")' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
cp -ar examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Apache/*.pm
%dir %{perl_vendorlib}/Apache/XMLRPC
%{perl_vendorlib}/Apache/XMLRPC/*.pm
%{perl_vendorlib}/IO/*.pm
%{perl_vendorlib}/SOAP/*.pm
%{perl_vendorlib}/SOAP/Transport/[FHILPT]*.pm
%{perl_vendorlib}/SOAP/Transport/MAILTO.pm
%dir %{perl_vendorlib}/UDDI
%{perl_vendorlib}/UDDI/*.pm
%{perl_vendorlib}/XML/Parser/*.pm
%dir %{perl_vendorlib}/XMLRPC
%{perl_vendorlib}/XMLRPC/*.pm
%dir %{perl_vendorlib}/XMLRPC/Transport
%{perl_vendorlib}/XMLRPC/Transport/*.pm
%{_mandir}/man3/Apache*
%{_mandir}/man3/UDDI*
%{_mandir}/man3/XML*
%{_mandir}/man3/SOAP::Lite*
%{_mandir}/man3/SOAP::Test*
%{_mandir}/man3/SOAP::Transport::[FHILPT]*
%{_mandir}/man3/SOAP::Transport::MAILTO*

%if %{with MQ}
%files MQ
%defattr(644,root,root,755)
%{perl_vendorlib}/SOAP/Transport/MQ.pm
%{_mandir}/man3/*::MQ.*
%endif

%files JABBER
%defattr(644,root,root,755)
%{perl_vendorlib}/SOAP/Transport/JABBER.pm
%{_mandir}/man3/*JABBER*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-SOAP-Lite.spec,v $
Revision 1.16  2004/06/13 21:51:07  ankry
- disabled MQ subpackage by default, rel. 2

Revision 1.15  2004/05/06 18:20:59  ankry
- fixed perl-devel BR

Revision 1.14  2004/05/01 00:31:59  ankry
- license fixed, cosmetics

Revision 1.13  2004/04/11 16:22:35  migo
- up to 0.60a

Revision 1.12  2004/03/13 23:09:16  eothane
- new bcond style; some cosmetics here and there; changelog cleanups

Revision 1.11  2003/09/09 10:24:47  ankry
- spaces -> tab

Revision 1.10  2003/08/26 18:21:56  blues
- release 5 (4 is for RA-branch)

Revision 1.9  2003/05/25 06:24:57  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 20:46:09  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/25 00:43:23  radek
- use the __perl macro

Revision 1.5  2003/02/18 15:38:02  ankry
- massive attack: change CPAN URLs

Revision 1.4  2002/09/04 19:28:28  radek
- Jabber and MQ support went to separate packages; more should be separated
- release 3

Revision 1.3  2002/08/30 08:41:09  qboosh
- SOAP/Transport dir must go to perl.spec; release 2

Revision 1.2  2002/08/27 18:55:13  qboosh
- pl description, added some dirs to package

Revision 1.1  2002/08/27 13:31:20  radek
- new, STBR
